import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const customCurrencyResponse = await client.v1.credits.customCurrencies.update('currencyId');
console.log(customCurrencyResponse.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
custom_currency_response = client.v1.credits.custom_currencies.update(
currency_id="currencyId",
)
print(custom_currency_response.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
customCurrencyResponse, err := client.V1.Credits.CustomCurrencies.Update(
context.TODO(),
"currencyId",
stigg.V1CreditCustomCurrencyUpdateParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", customCurrencyResponse.Data)
}
package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.credits.customcurrencies.CustomCurrencyResponse;
import io.stigg.models.v1.credits.customcurrencies.CustomCurrencyUpdateParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
CustomCurrencyResponse customCurrencyResponse = client.v1().credits().customCurrencies().update("currencyId");
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
custom_currency_response = stigg.v1.credits.custom_currencies.update("currencyId")
puts(custom_currency_response)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Credits.CustomCurrencies;
StiggClient client = new();
CustomCurrencyUpdateParams parameters = new() { CurrencyID = "currencyId" };
var customCurrencyResponse = await client.V1.Credits.CustomCurrencies.Update(parameters);
Console.WriteLine(customCurrencyResponse);stigg v1:credits:custom-currencies update \
--api-key 'My API Key' \
--currency-id currencyIdcurl --request PATCH \
--url https://api.stigg.io/api/v1/credits/custom-currencies/{currencyId} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"displayName": "<string>",
"symbol": "<string>",
"description": "<string>",
"metadata": {}
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stigg.io/api/v1/credits/custom-currencies/{currencyId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'displayName' => '<string>',
'symbol' => '<string>',
'description' => '<string>',
'metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": "cred-type-credits",
"displayName": "Credits",
"symbol": "CR",
"description": "Prepaid usage credits",
"units": {
"singular": "credit",
"plural": "credits"
},
"metadata": {},
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z",
"archivedAt": null
}
}{
"message": "<string>",
"code": "BadUserInput",
"reason": "<string>"
}{
"message": "<string>",
"code": "Unauthenticated"
}{
"message": "<string>",
"code": "IdentityForbidden"
}{
"message": "<string>",
"code": "CustomerNotFound"
}{
"message": "<string>",
"code": "RateLimitExceeded"
}Update custom currency
Updates an existing custom currency. Only the supplied fields are modified.
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const customCurrencyResponse = await client.v1.credits.customCurrencies.update('currencyId');
console.log(customCurrencyResponse.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
custom_currency_response = client.v1.credits.custom_currencies.update(
currency_id="currencyId",
)
print(custom_currency_response.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
customCurrencyResponse, err := client.V1.Credits.CustomCurrencies.Update(
context.TODO(),
"currencyId",
stigg.V1CreditCustomCurrencyUpdateParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", customCurrencyResponse.Data)
}
package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.credits.customcurrencies.CustomCurrencyResponse;
import io.stigg.models.v1.credits.customcurrencies.CustomCurrencyUpdateParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
CustomCurrencyResponse customCurrencyResponse = client.v1().credits().customCurrencies().update("currencyId");
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
custom_currency_response = stigg.v1.credits.custom_currencies.update("currencyId")
puts(custom_currency_response)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Credits.CustomCurrencies;
StiggClient client = new();
CustomCurrencyUpdateParams parameters = new() { CurrencyID = "currencyId" };
var customCurrencyResponse = await client.V1.Credits.CustomCurrencies.Update(parameters);
Console.WriteLine(customCurrencyResponse);stigg v1:credits:custom-currencies update \
--api-key 'My API Key' \
--currency-id currencyIdAuthorizations
Server API Key
Headers
Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.
Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).
Path Parameters
The reference ID of the custom currency
1 - 255^[a-zA-Z0-9][a-zA-Z0-9_|.-]*$Body
Request body for updating an existing custom currency. Only supplied fields are modified.
The display name of the custom currency
64The symbol used to represent the custom currency. Send an empty string to clear.
64A human-readable description of the custom currency. Send an empty string to clear.
255Singular and plural unit labels for a custom currency. Both fields are required when supplied.
Show child attributes
Show child attributes
Additional metadata to attach to the custom currency
Show child attributes
Show child attributes
Response
The updated custom currency object.
Response object
A custom currency used to denominate credit-based entitlements and pricing
Show child attributes
Show child attributes
Related topics
Unarchive custom currencyArchive custom currencyCreate custom currencyGet a list of custom currencysList custom currency associated entities